uniform sampler2D texture;
uniform float lightLevel;

void main()
{
	vec4 pixel = texture2D(texture, gl_TexCoord[0].xy);
	pixel.rgb = vec3(lightLevel, lightLevel, lightLevel);
	//pixel.rgb = vec3(1, 1, 1);
	gl_FragColor = pixel;
}
